### Name: colext
### Title: Fit the colonization-extinction model.
### Aliases: colext
### Keywords: models

### ** Examples
data(frogs)
umf <- formatMult(masspcru)
obsCovs(umf) <- scale(obsCovs(umf))
## constant transition rates
(fm <- colext(psiformula = ~ 1,
gammaformula = ~ 1,
epsilonformula = ~ 1,
pformula = ~ JulianDate + I(JulianDate^2), umf, control = list(trace=1, maxit=1e4)))

## Not run: 
##D ## try yearly transition rates
##D yearlySiteCovs(umf) <- data.frame(year = factor(rep(1:7, numSites(umf))))
##D (fm.yearly <- colext(psiformula = ~ 1,
##D gammaformula = ~ year,
##D epsilonformula = ~ year,
##D pformula = ~ JulianDate + I(JulianDate^2), umf, 
##D         control = list(trace=1, maxit=1e4)))
## End(Not run)



