### Name: parboot
### Title: Evaluate goodness-of-fit of a fitted model.
### Aliases: parboot plot,parboot,missing-method show,parboot-method


### ** Examples

data(linetran)
(dbreaksLine <- c(0, 5, 10, 15, 20)) 

lengths <- linetran$Length

ltUMF <- with(linetran, {
        unmarkedFrameDS(y = cbind(dc1, dc2, dc3, dc4), 
        siteCovs = data.frame(Length, area, habitat), dist.breaks = dbreaksLine,
        tlength = lengths*1000, survey = "line", unitsIn = "m")
})

(fm <- distsamp(~ area ~habitat, ltUMF))

(pb <- parboot(fm))
plot(pb)




