### Name: unmarkedFit-class
### Title: Class "unmarkedFit"
### Aliases: unmarkedFit unmarkedFit-class getData
###   getData,unmarkedFit-method hessian hessian,unmarkedFit-method
###   hist,unmarkedFitDS-method mle mle,unmarkedFit-method
###   names,unmarkedFit-method nllFun nllFun,unmarkedFit-method
###   parboot,unmarkedFit-method plot,unmarkedFit,missing-method
###   predict,unmarkedFit-method profile,unmarkedFit-method
###   residuals,unmarkedFit-method residuals,unmarkedFitOccu-method
###   residuals,unmarkedFitOccuRN-method update,unmarkedFit-method
###   sampleSize sampleSize,unmarkedFit-method unmarkedFitOccu-class
###   unmarkedFitPCount-class unmarkedFitDS-class unmarkedFitMPois-class
###   plot,profile,missing-method show,unmarkedFit-method
###   summary,unmarkedFit-method summary,unmarkedFitDS-method
### Keywords: classes

### ** Examples

showClass("unmarkedFit")

# Format removal data for multinomPois 
data(ovendata)
ovenFrame <- unmarkedFrameMPois(y = ovendata.list$data,
        siteCovs = as.data.frame(scale(ovendata.list$covariates[,-1])), 
        type = "removal")

# Fit a model
(fm1 <- multinomPois(~ 1 ~ ufp + trba, ovenFrame))

# Apply a bunch of methods to the fitted model

names(fm1)
fm1['state']
fm1['det']

backTransform(fm1, whichEstimate ='det')

coef(fm1, type='state')

confint(fm1, type='state', method='profile')

fitted(fm1)

getData(fm1)

getP(fm1)

# Return predicted abundance at specified covariate values
linearComb(fm1, c(Int = 1, ufp = 0, trba = 0), type='state')

# Assess goodness-of-fit
parboot(fm1)

plot(fm1)

# Predict abundance at specified covariate values.
newdat <- data.frame(ufp = 0, trba = seq(-1, 1, length=10))

predict(fm1, type='state', newdata=newdat)

sampleSize(fm1)

summary(fm1)

(fmNull <- update(fm1, formula = ~1 ~1))

vcov(fm1, type='state')




